<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>examcloud-core-questions-base</artifactId>
    <packaging>jar</packaging>

    <parent>
        <groupId>cn.com.qmth.examcloud</groupId>
        <artifactId>examcloud-core-questions</artifactId>
        <version>${revision}</version>
    </parent>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-mongodb</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud</groupId>
            <artifactId>examcloud-web</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud</groupId>
            <artifactId>examcloud-support</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud</groupId>
            <artifactId>examcloud-question-commons</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-global-api-client</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-basic-api-client</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-examwork-api-client</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-print-api-client</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud.rpc</groupId>
            <artifactId>examcloud-core-questions-api-client</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.com.qmth.examcloud</groupId>
            <artifactId>examcloud-reports-commons</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.upyun</groupId>
            <artifactId>java-sdk</artifactId>
        </dependency>
        <dependency>
            <groupId>org.docx4j</groupId>
            <artifactId>docx4j-ImportXHTML</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-api</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-log4j12</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>jcl-over-slf4j</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>net.sourceforge.jeuclid</groupId>
            <artifactId>jeuclid-core</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.xmlgraphics</groupId>
                    <artifactId>xmlgraphics-commons</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>net.sf.saxon</groupId>
            <artifactId>Saxon-HE</artifactId>
        </dependency>
        <dependency>
            <groupId>org.ansj</groupId>
            <artifactId>ansj_seg</artifactId>
        </dependency>
        <dependency>
            <groupId>com.esotericsoftware</groupId>
            <artifactId>reflectasm</artifactId>
        </dependency>
    </dependencies>
</project>